## vaapivp8enc vaapivp8enc — A VA-API based VP8 video encoder |

## Properties

guint | bitrate | Read / Write
guint | keyframe-period | Read / Write
guint | loop-filter-level | Read / Write
GstVaapiRateControlVP8 | rate-control | Read / Write
guint | sharpness-level | Read / Write
GstVaapiEncoderTuneVP8 | tune | Read / Write
guint | yac-qi | Read / Write

## Description

Encodes raw video streams into VP8 bitstreams.

### Example launch line

    1
    gst-launch-1.0 -ev videotestsrc num-buffers=60 ! timeoverlay ! vaapivp8enc ! matroskamux ! filesink location=test.mkv

## Functions

## Types and Values

## Property Details

### The `“bitrate”` property

      “bitrate”                  guint

The desired bitrate expressed in kbps (0: auto-calculate).

Flags: Read / Write

Allowed values: <= 102400

Default value: 0

### The `“keyframe-period”` property

      “keyframe-period”          guint

Maximal distance between two keyframes (0: auto-calculate).

Flags: Read / Write

Allowed values: [1,300]

Default value: 30

### The `“loop-filter-level”` property

      “loop-filter-level”        guint

Controls the deblocking filter strength.

Flags: Read / Write

Allowed values: <= 63

Default value: 0

### The `“rate-control”` property

      “rate-control”             GstVaapiRateControlVP8

Rate control mode.

Flags: Read / Write

Default value: Constant QP

### The `“sharpness-level”` property

      “sharpness-level”          guint

Controls the deblocking filter sensitivity.

Flags: Read / Write

Allowed values: <= 7

Default value: 0

### The `“tune”` property

      “tune”                     GstVaapiEncoderTuneVP8

Encoder tuning option.

Flags: Read / Write

Default value: None

### The `“yac-qi”` property

      “yac-qi”                   guint

Quantization Table index for Luma AC Coefficients, (in default case, yac_qi=4 for key frames and yac_qi=40 for P frames).

Flags: Read / Write

Allowed values: <= 127

Default value: 40